For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Connect
BlogHelp CenterAPI PricingSign up
OverviewElevenCreativeElevenAgentsElevenAPIReception AIAPI referenceChangelog
OverviewElevenCreativeElevenAgentsElevenAPIReception AIAPI referenceChangelog
  • Get started
    • Overview
    • Quickstart
  • Configure
    • Overview
    • Voice & language
    • Knowledge base
    • Tools
    • Personalization
    • Authentication
  • Deploy
    • Overview
    • Environment variables
    • WhatsApp
    • Batch calls
  • Monitor
    • Overview
    • Users
    • Testing
    • Experiments
    • Versioning
    • Conversation Analysis
    • Analytics
    • Real-time monitoring
    • OpenTelemetry traces
    • Privacy
    • Cost optimization
    • CLI
  • Advanced
    • Events
    • Custom models
    • LLM cascading
    • Post-call webhooks
  • Resources
    • UI components
  • Guides
    • Chat Mode
    • Burst pricing
    • ElevenLabs' docs agent
    • Scaling user interviews
    • Simulate Conversations
        • WSSAgent WebSockets
          • GETList conversations
          • GETGet conversation details
          • DELDelete conversation
          • GETGet conversation audio
          • GETGet signed URL
          • GETGet conversation token
          • POSTSend conversation feedback
          • POSTUpload conversation file
          • DELDelete conversation file
          • GETGet SIP messages for a conversation
LogoLogo
Login
Login
Connect
BlogHelp CenterAPI PricingSign up
API referenceConversations

Upload conversation file

POST
/v1/convai/conversations/:conversation_id/files
POST
/v1/convai/conversations/:conversation_id/files
$curl -X POST https://api.elevenlabs.io/v1/convai/conversations/conversation_id/files \
> -H "Content-Type: multipart/form-data" \
> -F file=@<file1>
1{
2 "file_id": "file_id"
3}
Upload an image or PDF file for a conversation. Returns a unique file ID that can be used to reference the file in the conversation.
Was this page helpful?
Previous

Delete conversation file

Next
Built with

Path parameters

conversation_idstringRequired

Headers

xi-api-keystringOptional

Request

This endpoint expects a multipart form containing a file.
filefileRequired
Image or PDF file to upload

Response

Successful Response
file_idstring

Errors

422
Files Create Request Unprocessable Entity Error